Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka
Class AbstractReporter

    java.lang.Object
      |
      +--org.apache.commons.latka.AbstractReporter

All Implemented Interfaces:
  LatkaEventInfo, LatkaEventListener

Direct Known Subclasses:
  SimpleReporter, XMLReporter

public abstract class AbstractReporter
extends java.lang.Object
implements LatkaEventInfo

Needs docs.

Author:
  Rodney Waldhoff, Morgan Delagrange

Constructor Summary
`AbstractReporter()`

Method Summary
`boolean` | `didRequestSucceed(Request request)` Check to see if a particular Request succeeded or failed.
`boolean` | `didSessionSucceed(Session session)` Check to see if a particular Session succeeded or failed.
`boolean` | `didSuiteSucceed()` Returns true if all Requests in the suite succeed.
`java.util.List` | `getFailedResponses()` Returns a List of all responses that failed validation.
`void` | `requestError(RequestEvent event)` Invoked if a request error occurs.
`void` | `requestFailed(RequestEvent event)` Invoked if the request failed.
`void` | `requestSkipped(RequestEvent event)` A skipped request.
`void` | `requestSucceeded(RequestEvent event)` Invoked if the request succeeds

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.latka.event.LatkaEventListener
`suiteCompleted`

Constructor Detail

### AbstractReporter

    public AbstractReporter()

Method Detail

### didRequestSucceed

    public boolean didRequestSucceed(Request request)

  Description copied from interface: `LatkaEventInfo`
  Check to see if a particular Request succeeded or failed.
  Specified by:
    `didRequestSucceed` in interface `LatkaEventInfo`
  Following copied from interface: `org.apache.commons.latka.event.LatkaEventInfo`
  Parameters:
    `request` - the request to check for success or failure
  Returns:
    true if request succeeded

### didSessionSucceed

    public boolean didSessionSucceed(Session session)

  Description copied from interface: `LatkaEventInfo`
  Check to see if a particular Session succeeded or failed. Once a request inside a session fails, the session itself is marked as a failure.
  Specified by:
    `didSessionSucceed` in interface `LatkaEventInfo`
  Following copied from interface: `org.apache.commons.latka.event.LatkaEventInfo`
  Parameters:
    `session` - the session to check for success or failure
  Returns:
    true if all requests in the session succeeded

### didSuiteSucceed

    public boolean didSuiteSucceed()

  Description copied from interface: `LatkaEventInfo`
  Returns true if all Requests in the suite succeed.
  Specified by:
    `didSuiteSucceed` in interface `LatkaEventInfo`
  Following copied from interface: `org.apache.commons.latka.event.LatkaEventInfo`
  Returns:
    true if all Requests have succeeded

### getFailedResponses

    public java.util.List getFailedResponses()

  Description copied from interface: `LatkaEventInfo`
  Returns a List of all responses that failed validation.
  Specified by:
    `getFailedResponses` in interface `LatkaEventInfo`
  Following copied from interface: `org.apache.commons.latka.event.LatkaEventInfo`
  Returns:
    List of failed Responses

### requestError

    public void requestError(RequestEvent event)

  Description copied from interface: `LatkaEventListener`
  Invoked if a request error occurs. A request "error" designates an inability to communicate with the target HTTP server (typically an IOException or a related exception).
  Specified by:
    `requestError` in interface `LatkaEventListener`
  Following copied from interface: `org.apache.commons.latka.event.LatkaEventListener`
  Parameters:
    `event` - a request "error" event. This request has no valid response.

### requestFailed

    public void requestFailed(RequestEvent event)

  Description copied from interface: `LatkaEventListener`
  Invoked if the request failed. A request "failure" is defined as a request that successfully received a reponse from the server, but that response failed validation (threw a ValidationException).
  Specified by:
    `requestFailed` in interface `LatkaEventListener`
  Following copied from interface: `org.apache.commons.latka.event.LatkaEventListener`
  Parameters:
    `event` - a "failed" request event. This request should still have a response, although the response was not expected by the test.

### requestSkipped

    public void requestSkipped(RequestEvent event)

  Description copied from interface: `LatkaEventListener`
  A skipped request. Most Latka suites will skip any further requests inside a session upon the first failed request.
  Specified by:
    `requestSkipped` in interface `LatkaEventListener`
  Following copied from interface: `org.apache.commons.latka.event.LatkaEventListener`
  Parameters:
    `event` - a "skipped" request. Skipped requests have no valid response.

### requestSucceeded

    public void requestSucceeded(RequestEvent event)

  Description copied from interface: `LatkaEventListener`
  Invoked if the request succeeds
  Specified by:
    `requestSucceeded` in interface `LatkaEventListener`
  Following copied from interface: `org.apache.commons.latka.event.LatkaEventListener`
  Parameters:
    `event` - a successful request event

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.